HyperTrackDocs
Places

Get suggestions for a place

Get suggestions for a place

GET
/places/v1/{place_handle}/suggestions/

Get suggestions for a place

Authorization

AuthorizationBasic <token>

In: header

Path Parameters

place_handle*string

Query Parameters

suggested_on_from?|

Start timestamp (ISO 8601 format) to filter suggestions created on or after this time

suggested_on_to?|

End timestamp (ISO 8601 format) to filter suggestions created on or before this time

pagination_token?|

Identifier used to fetch the next page of suggestions

limit?|

Maximum number of results to be returned.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/places/v1/string/suggestions/"
{  "suggestions": [    {      "suggestion_id": "string",      "geometry": {        "coordinates": [          0        ],        "type": "Point"      },      "radius": 0,      "hex_id": "string",      "applied_by": "string",      "applied_on": "string",      "suggested_by": "string",      "suggested_on": "string",      "order_handle": "string",      "source": "ht_generated",      "type": "manual",      "skew": 0,      "area_ratio": 0,      "centroid_shift": 0,      "inclusivity": "string"    }  ],  "pagination_token": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}